--- old/usr/src/uts/common/fs/zfs/sys/dsl_dataset.h	Tue Oct  1 14:04:46 2013
+++ new/usr/src/uts/common/fs/zfs/sys/dsl_dataset.h	Tue Oct  1 14:04:46 2013
@@ -49,9 +49,9 @@
 #define	DS_FLAG_INCONSISTENT	(1ULL<<0)
 #define	DS_IS_INCONSISTENT(ds)	\
 	((ds)->ds_phys->ds_flags & DS_FLAG_INCONSISTENT)
+
 /*
- * Note: nopromote can not yet be set, but we want support for it in this
- * on-disk version, so that we don't need to upgrade for it later.
+ * Do not allow this dataset to be promoted.
  */
 #define	DS_FLAG_NOPROMOTE	(1ULL<<1)
 
@@ -71,6 +71,11 @@
 	((ds)->ds_phys->ds_flags & DS_FLAG_DEFER_DESTROY)
 
 /*
+ * DS_FIELD_* are strings that are used in the "extensified" dataset zap object.
+ * They should be of the format <reverse-dns>:<field>.
+ */
+
+/*
  * DS_FLAG_CI_DATASET is set if the dataset contains a file system whose
  * name lookups should be performed case-insensitively.
  */
